Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230808 - Split core schema
Summary: Split core schema
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-03-02 23:56 UTC by Rich Megginson
Modified: 2015-01-04 23:24 UTC (History)
2 users (show)

Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-29 22:59:53 UTC


Attachments (Terms of Use)
diffs (deleted)
2007-03-02 23:56 UTC, Rich Megginson
no flags Details | Diff
real diffs (deleted)
2007-03-03 00:07 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (deleted)
2007-03-03 00:50 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2007-03-02 23:56:57 UTC
The 00core.ldif schema file should contain only those schema elements which are
required to start up the server.  All other schema should be moved to
01common.ldif.  Andrew and Satish have already done the work to determine that
subset of schema required to start the server.

Comment 1 Rich Megginson 2007-03-02 23:56:58 UTC
Created attachment 149163 [details]
diffs

Comment 2 Rich Megginson 2007-03-03 00:07:48 UTC
Created attachment 149164 [details]
real diffs

Comment 3 Rich Megginson 2007-03-03 00:50:58 UTC
Created attachment 149166 [details]
cvs commit log

Reviewed by: prowley, nkinder (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: Moved all schema not required to start the server from
00core.ldif into a new file called 01common.ldif.  Andrew and Satish
already did the work to determine which schema are required to start the
server, which is the schema needed to be in 00core.ldif.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no

Comment 5 Rich Megginson 2008-01-02 17:52:03 UTC
Actually, core means only 00core.ldif and nothing else, no other schema files. 
Try it with only the file 00core.ldif in the schema directory.

Comment 6 Chandrasekar Kannan 2008-01-02 19:17:34 UTC
I get this error on startup

bash-3.00# /opt/dirsrv/slapd-goblin3/start-slapd
[02/Jan/2008:11:20:33 -0800] - Entry "cn=config" has unknown object class
"nsslapdConfig"
[02/Jan/2008:11:20:33 -0800] - Entry "cn=encryption,cn=config" has unknown
object class "nsEncryptionConfig"
[02/Jan/2008:11:20:33 -0800] - Entry "cn=SNMP,cn=config" has unknown object
class "nsSNMP"
[02/Jan/2008:11:20:33 -0800] - Entry "cn=Kerberos uid
mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[02/Jan/2008:11:20:33 -0800] - Entry "cn=rfc 2829 dn
syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[02/Jan/2008:11:20:33 -0800] - Entry "cn=rfc 2829 u
syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[02/Jan/2008:11:20:33 -0800] - Entry "cn=uid
mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[02/Jan/2008:11:20:33 -0800] - Entry "cn=encryption,cn=config" has unknown
object class "nsEncryptionConfig"
[02/Jan/2008:11:20:33 -0800] - Entry "cn=SNMP,cn=config" has unknown object
class "nsSNMP"
[02/Jan/2008:11:20:33 -0800] - Entry "ou=Netscape Directory Team,cn=monitor" has
unknown object class "organizationalUnit"


Comment 8 Yi Zhang 2009-04-02 17:42:57 UTC
Based on above comments, my test is below:
1. install DS as standard procedure
2. start ds to verify it runs fine
3. stop ds
4. remove all schema under /etc/dirsrv/schema/, except 00core.schema to
/tmp/schema
5. start ds again, verify :
    (1) it starts up without error message in error and access log
    (2) perform ldapsearch as "cn=directory manager" against "cn=config"
success
6. stop ds, move all schemas back to /etc/dirsrv/schema, start ds again,
verify:
    (1) DS starts up success (no error msg in error log and access log)
    (2) perform ldapsearch as "cn=directory manager" againt "cn=config" success

Comment 9 Yi Zhang 2009-04-02 22:33:30 UTC
Test result:
RHEL 5 i386 : PASS

Comment 10 Yi Zhang 2009-04-02 22:36:26 UTC
Test on RHEL 5 x86_64 platform:

[root@mv64a-vm schema]# service dirsrv start
Starting dirsrv: 
    mv64a-vm...[02/Apr/2009:06:16:20 -0700] - Entry "cn=config" has unknown object class "nsslapdConfig"
[02/Apr/2009:06:16:20 -0700] - Entry "cn=encryption,cn=config" has unknown object class "nsEncryptionConfig"
[02/Apr/2009:06:16:20 -0700] - Entry "cn=SNMP,cn=config" has unknown object class "nsSNMP"
[02/Apr/2009:06:16:20 -0700] - Entry "cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[02/Apr/2009:06:16:20 -0700] - Entry "cn=rfc 2829 dn syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[02/Apr/2009:06:16:20 -0700] - Entry "cn=rfc 2829 u syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[02/Apr/2009:06:16:20 -0700] - Entry "cn=uid mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[02/Apr/2009:06:16:20 -0700] - Entry "cn=encryption,cn=config" has unknown object class "nsEncryptionConfig"
[02/Apr/2009:06:16:20 -0700] - Entry "cn=SNMP,cn=config" has unknown object class "nsSNMP"
[02/Apr/2009:06:16:20 -0700] - Entry "ou=Netscape Directory Team,cn=monitor" has unknown object class "organizationalUnit"
                                                           [  OK  ]

?? shall we output these messages? please verify
otherwise, the rest of test on this platform passed

Comment 11 Yi Zhang 2009-04-02 22:48:51 UTC
Platform RHEL 4 i386 pass

Comment 12 Rich Megginson 2009-04-02 22:52:38 UTC
Wait - test passes on RHEL 4 i386 but fails on RHEL 5 x86_64?  What other platforms pass/fail?

Comment 13 Yi Zhang 2009-04-02 23:12:54 UTC
Solaris 9 passed

-- rechecking RHEL 5 x86_64 (and same test passed this time, but i am so sure it did happened just 10 minutes ago)

Comment 14 Yi Zhang 2009-04-03 00:13:12 UTC
RHEL 4 x86_64 pass

rechecking rhel 5 x86_64 in new host now ...

Comment 15 Yi Zhang 2009-04-03 00:46:47 UTC
recheck on RHEL 5 x86_64, it is pass. 

bug closed.

Comment 16 Chandrasekar Kannan 2009-04-29 22:59:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html


Note You need to log in before you can comment on or make changes to this bug.